import { requestClient } from '#/api/request';

export const reconciliateBillsApi = {
  /**
   * 获取账单列表
   */
  getReconciliationList: (data: any) => {
    return requestClient.post('/common/payment/getPaymentList', data);
  },

  /**
   * 人工对账--订单对账
   */
  manualCheckOrder: (data: any) => {
    return requestClient.post('/common/payment/manualCheckoff', data);
  },

  /**
   * 人工对账--添加订单后对账 -- 单个
   */
  manualCheckCreated: (data: any) => {
    return requestClient.post('/common/payment/checkoffByAddOrder', { list: data });
  },

  /**
   * 人工对账--添加订单后对账 -- 批量
   */
  manualCheckCreatedBatch: (data: any) => {
    return requestClient.post('/common/payment/checkoffByBatch', data);
  },

  /**
   * 自动对账
   */
  autoCheck: (data: any) => {
    return requestClient.post('/common/payment/autoCheckoff', data);
  },

  /**
   * 获取订单列表
   */
  getOrderList: (data: any) => {
    return requestClient.post('/common/payment/manualList', data);
  },

  /**
   * 获取吴门医述开课记录
   */
  getWumenRecommendCourseBuyList: (data: any) => {
    return requestClient.post('/common/payment/recommendWumenCourseBuyList', data);
  },

  /**
   * 获取吴门医述课程商品列表
   */
  getWumenCourseBuyList: (data: any) => {
    return requestClient.post('/common/payment/wumenCourseBuyList', data);
  },

  /**
   * 获取吴门医述充值记录列表
   */
  getWumenPointBuyList: (data: any) => {
    return requestClient.post('/common/payment/wumenPointBuyList', data);
  },

  /**
   * 获取吴门医述实物商品列表
   */
  getWumenPhysicalBuyList: (data: any) => {
    return requestClient.post('/common/payment/wumenPhysicalBuyList', data);
  },

  /**
   * 获取一路健康开课记录列表
   */
  getYiluRecommendCourseBuyList: (data: any) => {
    return requestClient.post('/common/payment/recommendCcourseBuyList', data);
  },

  /**
   * 获取一路健康课程商品列表
   */
  getYiluCourseBuyList: (data: any) => {
    return requestClient.post('/common/payment/courseBuyList', data);
  },

  /**
   * 获取一路健康充值记录列表
   */
  getYiluPointBuyList: (data: any) => {
    return requestClient.post('/common/payment/yljkPointBuyList', data);
  },

  /**
   * 获取一路健康实物商品列表
   */
  getPhysicalBuyList: (data: any) => {
    return requestClient.post('/common/payment/physicalBuyList', data);
  },

  /**
   * 获取VIP列表
   */
  getVipList: (data: any) => {
    return requestClient.post('/common/payment/vipList', data);
  },

  /**
   * 获取报名培训班列表
   */
  getTrainingClassList: (data: any) => {
    return requestClient.post('/common/payment/trainingClassList', data);
  },

  /**
   * 获取推荐用户
   */
  getRecommendUser: (data: any) => {
    return requestClient.post('/common/payment/recommendUser', data);
  },
};
